namespace Obelisk
{
	class IMainController
	{
	public:
		virtual ~IMainController() = 0;

		virtual void Initialise() = 0;

		virtual void OnNotify(int aMessage, int aData) = 0;
		virtual void OnTimer() = 0;
		virtual void OnDeactivate() = 0;
		virtual void OnActivate() = 0;

		virtual void OnKeyDown(EKey aKey) = 0;
		virtual void OnKeyUp(EKey aKey) = 0;

		virtual void ThreadFinished(IThread* aThread) = 0;
	};
}