﻿#include <windows.h>
#include <gl/gl.h>
#pragma hdrstop

#include "Shared.h"
#include "..\Shared\CObeliskException.h"
#include "CApplication.h"



int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE, LPSTR, int)
{
	try
	{
		HeapSetInformation(NULL, HeapEnableTerminationOnCorruption, NULL, 0);

		CApplication *Application = new CApplication(hInstance);
		Application->Run();
		delete Application;
	}
	catch (CObeliskException& oe)
	{
		MessageBox(NULL, oe.GetMessage().GetData(), NULL, MB_ICONERROR);
	}
	catch (Obelisk::CException&/* e*/)
	{
		MessageBox(NULL, L"Program has crashed. :(", NULL, MB_ICONERROR);
	}
	return 0;
}