#include <stdio.h>
#include <GL/gl.h>

#include "Shared.h"
#include "CFileWrapper.h"

using namespace Obelisk;



CFileWrapper::CFileWrapper(FILE* aFile)
{
	mFile = aFile;
}



CFileWrapper::~CFileWrapper()
{
	int Result = fclose(mFile);
	Assert(Result == 0)
}



bool CFileWrapper::Read(TByte* aData, int aNumBytes)
{
	int BytesRead = (int)fread(aData, 1, aNumBytes, mFile);
	return BytesRead == aNumBytes;
}



bool CFileWrapper::Write(TByte* aData, int aNumBytes)
{
	int BytesWritten = (int)fwrite(aData, 1, aNumBytes, mFile);
	return BytesWritten == aNumBytes;
}